@each $item in $sizes {
   $size: get-grid-size($item);

   //
   @media (get-grid-breakpoint($item)) {
      .d#{$size}-none {
         display: none !important;
      }

      .d#{$size}-inline {
         display: inline !important;
      }

      .d#{$size}-inline-block {
         display: inline-block !important;
      }

      .d#{$size}-block {
         display: block !important;
      }

      .d#{$size}-table {
         display: table !important;
      }

      .d#{$size}-table-row {
         display: table-row !important;
      }

      .d#{$size}-table-cell {
         display: table-cell !important;
      }

      .d#{$size}-flex {
         display: -ms-flexbox !important;
         display: flex !important;
      }

      .d#{$size}-inline-flex {
         display: -ms-inline-flexbox !important;
         display: inline-flex !important;
      }
   }
}

@each $item in $sizes {
   $size: get-grid-size($item);

   //
   @media (get-grid-breakpoint($item)) {

      .flex#{$size}-row {
         -ms-flex-direction: row !important;
         flex-direction: row !important;
      }

      .flex#{$size}-column {
         -ms-flex-direction: column !important;
         flex-direction: column !important;
      }

      .flex#{$size}-row-reverse {
         -ms-flex-direction: row-reverse !important;
         flex-direction: row-reverse !important;
      }

      .flex#{$size}-column-reverse {
         -ms-flex-direction: column-reverse !important;
         flex-direction: column-reverse !important;
      }

      .flex#{$size}-wrap {
         -ms-flex-wrap: wrap !important;
         flex-wrap: wrap !important;
      }

      .flex#{$size}-nowrap {
         -ms-flex-wrap: nowrap !important;
         flex-wrap: nowrap !important;
      }

      .flex#{$size}-wrap-reverse {
         -ms-flex-wrap: wrap-reverse !important;
         flex-wrap: wrap-reverse !important;
      }

      .flex#{$size}-fill {
         -ms-flex: 1 1 auto !important;
         flex: 1 1 auto !important;
      }

      .flex#{$size}-grow-0 {
         -ms-flex-positive: 0 !important;
         flex-grow: 0 !important;
      }

      .flex#{$size}-grow-1 {
         -ms-flex-positive: 1 !important;
         flex-grow: 1 !important;
      }

      .flex#{$size}-shrink-0 {
         -ms-flex-negative: 0 !important;
         flex-shrink: 0 !important;
      }

      .flex#{$size}-shrink-1 {
         -ms-flex-negative: 1 !important;
         flex-shrink: 1 !important;
      }

      .justify-content#{$size}-start {
         -ms-flex-pack: start !important;
         justify-content: flex-start !important;
      }

      .justify-content#{$size}-end {
         -ms-flex-pack: end !important;
         justify-content: flex-end !important;
      }

      .justify-content#{$size}-center {
         -ms-flex-pack: center !important;
         justify-content: center !important;
      }

      .justify-content#{$size}-between {
         -ms-flex-pack: justify !important;
         justify-content: space-between !important;
      }

      .justify-content#{$size}-around {
         -ms-flex-pack: distribute !important;
         justify-content: space-around !important;
      }

      .align-items#{$size}-start {
         -ms-flex-align: start !important;
         align-items: flex-start !important;
      }

      .align-items#{$size}-end {
         -ms-flex-align: end !important;
         align-items: flex-end !important;
      }

      .align-items#{$size}-center {
         -ms-flex-align: center !important;
         align-items: center !important;
      }

      .align-items#{$size}-baseline {
         -ms-flex-align: baseline !important;
         align-items: baseline !important;
      }

      .align-items#{$size}-stretch {
         -ms-flex-align: stretch !important;
         align-items: stretch !important;
      }

      .align-content#{$size}-start {
         -ms-flex-line-pack: start !important;
         align-content: flex-start !important;
      }

      .align-content#{$size}-end {
         -ms-flex-line-pack: end !important;
         align-content: flex-end !important;
      }

      .align-content#{$size}-center {
         -ms-flex-line-pack: center !important;
         align-content: center !important;
      }

      .align-content#{$size}-between {
         -ms-flex-line-pack: justify !important;
         align-content: space-between !important;
      }

      .align-content#{$size}-around {
         -ms-flex-line-pack: distribute !important;
         align-content: space-around !important;
      }

      .align-content#{$size}-stretch {
         -ms-flex-line-pack: stretch !important;
         align-content: stretch !important;
      }

      .align-self#{$size}-auto {
         -ms-flex-item-align: auto !important;
         align-self: auto !important;
      }

      .align-self#{$size}-start {
         -ms-flex-item-align: start !important;
         align-self: flex-start !important;
      }

      .align-self#{$size}-end {
         -ms-flex-item-align: end !important;
         align-self: flex-end !important;
      }

      .align-self#{$size}-center {
         -ms-flex-item-align: center !important;
         align-self: center !important;
      }

      .align-self#{$size}-baseline {
         -ms-flex-item-align: baseline !important;
         align-self: baseline !important;
      }

      .align-self#{$size}-stretch {
         -ms-flex-item-align: stretch !important;
         align-self: stretch !important;
      }
   }
}